<ion-header>
  <ion-toolbar class="color-black">
    <ion-icon style="zoom:1.5" color="secondary" name="close" (click)="back()" slot="end"></ion-icon>
    <ion-title color="secondary">Setup Twilio</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-label>
          Set up account at twilio.com and follow instruction document
        </ion-label>
      </ion-col>
    </ion-row>
    <ion-card>
      <ion-row>
        <ion-col>
          <h5>
            Need help <ion-icon name="help-circle-outline"></ion-icon>
          </h5>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-button class="pdf" expand="block" (click)="openImage()">
            Text Instructions
          </ion-button>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-button class="video" expand="block" (click)="playVideo()">
            Video Tutorial
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-card>
  </ion-grid>
  <ion-item>
    <ion-label position="floating">Account SID</ion-label>
    <ion-input [(ngModel)]="account_SID"></ion-input>
  </ion-item>
  <ion-item>
    <ion-label position="floating">Auth Token</ion-label>
    <ion-input [(ngModel)]="auth_Token"></ion-input>
  </ion-item>
  <ion-item class="padding_top">
    <ion-label>+1</ion-label>
    <ion-input [(ngModel)]="twilio_Number" placeholder="10 digits Twilio number e.g 4124388691" (keyup)="onKeyUp($event)" type="tel" minlength="10" maxlength="10"></ion-input>
  </ion-item>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-button expand="block" (click)="update()">
          Update
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>